#include "RF24.h"
#include <L298N.h>

#define EN1 3
#define IN1 2
#define IN2 4
#define IN3 5
#define IN4 7
#define EN2 6

L298N left(EN1, IN1, IN2);
L298N right(EN2, IN3, IN4);

RF24 radio(9, 10); // NRF24L01 used SPI pins + Pin 9 and 10
const uint64_t pipe = 0xE6E6E6E6E6E6; // Needs to be the same for communicating between 2 NRF24L01

int angles[3];

void setup() {
  radio.begin(); // Start the NRF24L01
  Serial.begin(9600);

  radio.openReadingPipe(1, pipe); // Get NRF24L01 ready to receive

  radio.startListening(); // Listen to see if information received
}

void loop() {
  while (radio.available()) {
    Serial.print ("X:");
    Serial.print (angles[1] / 100);
    Serial.print ("Y:");
    Serial.print (angles[2] / 100);
    Serial.print ("Z:");
    Serial.println (angles[3] / 100);


    radio.read(angles, sizeof(angles)); // Read information from the NRF24L01
    left.setSpeed(abs((angles[2] / 50) - (angles[1] / 50)));
    right.setSpeed(abs((angles[2] / 50) + (angles[1] / 50)));
    if (((-angles[2] / 50) - (angles[1] / 50)) > 0) {
      left.forward();
    } else {
      left.backward();
    }

    if (((angles[2] / 50) + (angles[1] / 50)) > 0) {
      right.forward();
    } else {
      right.backward();
    }

  }
}
